Bug 111225 - [V8] indexedSecurityCheck() and namedSecurityCheck() should be auto-generated
Summary: [V8] indexedSecurityCheck() and namedSecurityCheck() should be auto-generated
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kentaro Hara
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-01 14:59 PST by Kentaro Hara
Modified: 2013-03-03 16:17 PST (History)
3 users (show)

See Also:


Attachments
Patch (9.62 KB, patch)
2013-03-01 15:03 PST, Kentaro Hara
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kentaro Hara 2013-03-01 14:59:36 PST
indexedSecurityCheck() and namedSecurityCheck() should be auto-generated, except for DOMWindow's ones.
Comment 1 Kentaro Hara 2013-03-01 15:03:59 PST
Created attachment 191047 [details]
Patch
Comment 2 Adam Barth 2013-03-02 23:22:38 PST
Very nice.
Comment 3 Kentaro Hara 2013-03-03 16:14:13 PST
Committed r144590: <http://trac.webkit.org/changeset/144590>